Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mfwk.cib
Class CIBExternalResource

    java.lang.Object
      com.sun.mfwk.cib.CIBObject
          com.sun.mfwk.cib.CIBManagedObject
              com.sun.mfwk.cib.CIBMonitoredObject
                  com.sun.mfwk.cib.CIBExternalResource

All Implemented Interfaces:
  CIBExternalResourceIf, CIBExternalResourceMBean, CIBManagedObjectIf, CIBManagedObjectMBean, CIBMonitoredObjectIf, CIBMonitoredObjectMBean, CIBObjectMBean, javax.management.MBeanRegistration, javax.management.NotificationBroadcaster, javax.management.NotificationEmitter

public class CIBExternalResource
extends CIBMonitoredObject
implements CIBExternalResourceIf, CIBExternalResourceMBean

Default implementation of a CIB External Resource MBean.

Field Summary

Fields inherited from interface com.sun.mfwk.cib.CIBObjectMBean
`ModelVersion`

Constructor Summary
`CIBExternalResource()` Build a CIBExternalResource
`CIBExternalResource(java.lang.String theProviderUri)` Create a CIBExternalResource with the given providerUri

Method Summary
`javax.management.ObjectName` | `getApplication()` Returns the name of the CIBApplication
`long` | `getAvailabilityStatusDegradedTime()` Returns the time the first time the object entered into the degraded state
`long` | `getAvailabilityStatusLastChange()` Get the time when the availability status last changed
`int` | `getAvailabilityStatusState()` Get the Availability State of the Monitored object
`javax.management.openmbean.CompositeData` | `getOpenStatistic(java.lang.String name)` Gets a CIB Statistic as a standard serializable JMX Open Type
`javax.management.openmbean.CompositeData[]` | `getOpenStatistics(java.lang.String[] names)` Gets all CIBStatistics encoded as serializable JMX Open Types.
`javax.management.openmbean.CompositeData` | `getOpenStats()` Gets a CIBStats object encoded as a standard serializable JMX Open Type
`long` | `getOperationalStatusLastChange()` Get the time when the operational status last changed
`long` | `getOperationalStatusStartTime()` Get the time when the Operational status entered into the running state
`int` | `getOperationalStatusState()` Get the Operational MfStatus of the monitored object
`java.lang.String` | `getProviderUri()` Provides the Associated Service URI
`javax.management.ObjectName` | `getService()` getService
`java.lang.String[]` | `getStatisticNames()` Gets all available statistic names
`javax.management.j2ee.statistics.Stats` | `getStats()` Returns the Stats object provided by the CIBProviderHandler Gets a CIBStats object for all available statistics.
`void` | `setCIBApplication(javax.management.ObjectName objectName)` Allows to set the CIB Service Object Name
`void` | `setCIBService(javax.management.ObjectName objectName)` Allows to set the CIBService object Name

Methods inherited from class com.sun.mfwk.cib.CIBMonitoredObject
`getCIBProviderHandler, isStateProvider, isStatisticProvider, setCIBProviderHandler, setStateProvider, setStatisticProvider`

Methods inherited from class com.sun.mfwk.cib.CIBManagedObject
`addNotificationListener, getDescription, getJ2eeSibling, getNotificationInfo, isEventProvider, removeNotificationListener, removeNotificationListener, setDescription, setEventProvider, setJ2eeSibling`

Methods inherited from class com.sun.mfwk.cib.CIBObject
`getModelVersion, getName, getType, postDeregister, postRegister, preDeregister, preRegister`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.sun.mfwk.cib.CIBMonitoredObjectIf
`getCIBProviderHandler, setCIBProviderHandler`

Methods inherited from interface com.sun.mfwk.cib.CIBManagedObjectIf
`setDescription`

Methods inherited from interface com.sun.mfwk.cib.CIBMonitoredObjectMBean
`isStateProvider, isStatisticProvider, setStateProvider, setStatisticProvider`

Methods inherited from interface com.sun.mfwk.cib.CIBManagedObjectMBean
`getDescription, isEventProvider, setEventProvider`

Methods inherited from interface com.sun.mfwk.cib.CIBObjectMBean
`getModelVersion, getName, getType`

Constructor Detail

### CIBExternalResource

    public CIBExternalResource(java.lang.String theProviderUri)

  Create a CIBExternalResource with the given providerUri

Parameters:
  `theProviderUri` - String

### CIBExternalResource

    public CIBExternalResource()

  Build a CIBExternalResource

Method Detail

### setCIBApplication

    public void setCIBApplication(javax.management.ObjectName objectName)

  Allows to set the CIB Service Object Name

  Specified by:
    `setCIBApplication` in interface `CIBExternalResourceIf`
  Parameters:
    `objectName` - ObjectName

### getProviderUri

    public java.lang.String getProviderUri()

  Provides the Associated Service URI

  Specified by:
    `getProviderUri` in interface `CIBExternalResourceMBean`
  Returns:
    String

### getApplication

    public javax.management.ObjectName getApplication()
                                               throws javax.management.InvalidAttributeValueException

  Returns the name of the CIBApplication

  Specified by:
    `getApplication` in interface `CIBExternalResourceMBean`
  Returns:
    ObjectName
  Throws:
    `javax.management.InvalidAttributeValueException`

### getStats

    public javax.management.j2ee.statistics.Stats getStats()
                                                    throws CIBException

  Returns the Stats object provided by the CIBProviderHandler Gets a CIBStats object for all available statistics.

  Specified by:
    `getStats` in interface `CIBMonitoredObjectMBean`
  Specified by:
    `getStats` in class `CIBMonitoredObject`
  Returns:
    Stats
  Throws:
    `CIBException`

### getOpenStatistic

    public javax.management.openmbean.CompositeData getOpenStatistic(java.lang.String name)
                                                              throws CIBException

  Gets a CIB Statistic as a standard serializable JMX Open Type

  Specified by:
    `getOpenStatistic` in interface `CIBMonitoredObjectMBean`
  Specified by:
    `getOpenStatistic` in class `CIBMonitoredObject`
  Parameters:
    `name` - String
  Returns:
    CompositeData
  Throws:
    `CIBException`

### getOpenStatistics

    public javax.management.openmbean.CompositeData[] getOpenStatistics(java.lang.String[] names)
                                                                 throws CIBException

  Gets all CIBStatistics encoded as serializable JMX Open Types. If no statistics is found null is returned.

  Specified by:
    `getOpenStatistics` in interface `CIBMonitoredObjectMBean`
  Specified by:
    `getOpenStatistics` in class `CIBMonitoredObject`
  Parameters:
    `names` - String[]
  Returns:
    CompositeData[]
  Throws:
    `CIBException`

### getOpenStats

    public javax.management.openmbean.CompositeData getOpenStats()
                                                          throws CIBException

  Gets a CIBStats object encoded as a standard serializable JMX Open Type

  Specified by:
    `getOpenStats` in interface `CIBMonitoredObjectMBean`
  Specified by:
    `getOpenStats` in class `CIBMonitoredObject`
  Returns:
    javax.management.openmbean.CompositeData
  Throws:
    `CIBException`

### getStatisticNames

    public java.lang.String[] getStatisticNames()
                                         throws CIBException

  Gets all available statistic names

  Specified by:
    `getStatisticNames` in interface `CIBMonitoredObjectMBean`
  Specified by:
    `getStatisticNames` in class `CIBMonitoredObject`
  Returns:
    String[]
  Throws:
    `CIBException`

### getOperationalStatusState

    public int getOperationalStatusState()
                                  throws CIBException

  Get the Operational MfStatus of the monitored object

  Specified by:
    `getOperationalStatusState` in interface `CIBMonitoredObjectMBean`
  Returns:
    int
  Throws:
    `CIBException`

### getOperationalStatusLastChange

    public long getOperationalStatusLastChange()
                                        throws CIBException

  Get the time when the operational status last changed

  Specified by:
    `getOperationalStatusLastChange` in interface `CIBMonitoredObjectMBean`
  Returns:
    long
  Throws:
    `CIBException`

### getOperationalStatusStartTime

    public long getOperationalStatusStartTime()
                                       throws CIBException

  Get the time when the Operational status entered into the running state

  Specified by:
    `getOperationalStatusStartTime` in interface `CIBMonitoredObjectMBean`
  Returns:
    long
  Throws:
    `CIBException`

### getAvailabilityStatusState

    public int getAvailabilityStatusState()
                                   throws CIBException

  Get the Availability State of the Monitored object

  Specified by:
    `getAvailabilityStatusState` in interface `CIBMonitoredObjectMBean`
  Returns:
    int
  Throws:
    `CIBException`

### getAvailabilityStatusLastChange

    public long getAvailabilityStatusLastChange()
                                         throws CIBException

  Get the time when the availability status last changed

  Specified by:
    `getAvailabilityStatusLastChange` in interface `CIBMonitoredObjectMBean`
  Returns:
    long
  Throws:
    `CIBException`

### getAvailabilityStatusDegradedTime

    public long getAvailabilityStatusDegradedTime()
                                           throws CIBException

  Returns the time the first time the object entered into the degraded state

  Specified by:
    `getAvailabilityStatusDegradedTime` in interface `CIBMonitoredObjectMBean`
  Returns:
    long
  Throws:
    `CIBException`

### getService

    public javax.management.ObjectName getService()

  getService

  Specified by:
    `getService` in interface `CIBExternalResourceMBean`
  Returns:
    ObjectName

### setCIBService

    public void setCIBService(javax.management.ObjectName objectName)

  Allows to set the CIBService object Name

  Specified by:
    `setCIBService` in interface `CIBExternalResourceIf`
  Parameters:
    `objectName` - ObjectName

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD